List whitelisted contractsget https://your-protect-instance.example.com/api/rest/v1/whitelists/contractsThis endpoint returns a list of whitelisted contractsQuery Paramslimitstringuint64; Return maximum limit items for a query; Max 100.offsetstringuint64; Start retrieving items starting at offset idquerystringWill find a match in any part of the value. Filter applies to the following fields: customerid, address, blockchain, label, memo, addresstypeblockchainstringSymbol of the blockchain on which to whitelist an addressincludeForApprovalbooleanIf true, include also addresses waiting for approval in the results.truefalsenetworkstringName of the blockchain network, eg. mainnet, testnet, or sepoliaisNFTbooleanDeprecated: use the kindTypes parameter with 'nft' insteadtruefalsewhitelistedContractAddressIdsarray of stringsuint64; The whitelisted contract IDs to retrievewhitelistedContractAddressIdsADD stringkindTypesarray of stringsFilter on contract kind type, can be nft or token. An empty list means no filtering.kindTypesADD stringResponses 200A successful response. 400Bad Request: indicates that the server cannot or will not process the request due to something that is perceived to be a client error (for example, malformed request syntax, invalid request message framing, or deceptive request routing) 401Unauthorized: indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource 403Forbidden: indicates that the server understands the request but refuses to authorize it 404Not Found: indicates that the server cannot find the requested resource 500Internal Server Error: indicates that the server encountered an unexpected condition that prevented it from fulfilling the request 503Service Unavailable: indicates that the server is not ready to handle the request. defaultAn unexpected error response.Updated about 2 months ago Get an attributeList whitelisted contracts for approvalDid this page help you?YesNo